package com.emr.dao;

import com.emr.entity.Zd_Assort;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface Zd_AssortMapper {
    /**
     * 插入记录
     * @param record
     * @return
     */
    int insert(Zd_Assort record);

    /**
     * 根据可选字段插入记录
     * @param record
     * @return
     */
    int insertSelective(Zd_Assort record);

    /**
     * 根据可选字段查询记录
     * @param record
     * @return
     */
    List<Zd_Assort> selectByColm(Zd_Assort record);

    /**
     *根据print_flag=0，assort_name查询所有记录
     * @param record
     * @return
     */
    List<Zd_Assort> selectAll(@Param("record") Zd_Assort record);

}